﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;
using System.Reflection;
using System.IO;
using Infragistics.Win.AppStyling;

namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        private DataTable dt1;

        public Form1()
        {
            InitializeComponent();
            Stream stream = this.GetType().Assembly.GetManifestResourceStream("MemDataTable_CS.RBICompanies.isl");
            StyleManager.Load(stream);

            this.appStylistRuntime1.ShowRuntimeApplicationStylingEditor(this, "X");
        }        

        private void Form1_Load(object sender, EventArgs e)
        {
            // Set grid's DataSource
            dt1 = DummyDataCreator.GetData(20);
            dt1.Columns.Remove("Key");
            dt1.TableName = "Band 0";

            dt1.AcceptChanges();
            this.ultraGrid1.DataSource = dt1;
        }
        
        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            var layout = e.Layout;
            var band = layout.Bands[0];
            var ov = layout.Override;
            ov.EditCellAppearance.BackColor = Color.Crimson;
            ov.EditCellAppearance.ForeColor = Color.White;

        }

        private void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
        {
            if ((int)e.Row.Cells["Int32 1"].Value < 3)
                e.Row.Appearance.BackColor = Color.Wheat;
            else
                e.Row.Appearance.BackColor = Color.MintCream;

        }

        private void button1_Click(object sender, EventArgs e)
        {        
        }
    }
}
